<section class="planner--card planner--card--internal" id="comments-section" >
  <h2>Comments</h2>

  <form
    hx-post="{% url 'application_add_comment' pk=application.pk %}"
    hx-swap="outerHTML"
    hx-target="#comments-section"
    name="add_comment"
  >
    {% csrf_token %}
    <textarea id="comment" name="comment" required></textarea>
    <small>please only write things about this person that you would say in public</small>
    <input type="submit" class="button button-primary" value="Submit" />
  </form>

  <div class="alert alert-danger" role="alert" id="comment-error-message" style="display: none;">
      Something went wrong. Please try again. We've already been notified and will look into it.
  </div>

  <section id="comments">
    {% for comment in application.comments.all|dictsortreversed:"date" %}
      <div class="comment-header">
        <p class="author">{{ comment.author }}</p>
        <time datetime="{{ comment.date.isoformat }}">
          {{ comment.date|date:"SHORT_DATETIME_FORMAT" }}
        </time>
      </div>
      <p class="text">{{ comment.text }}</p>
    {% empty %}
      <p id="no-comments-message">No comments yet...</p>
      <script>
        document.querySelector('form[name="add_comment"]').addEventListener(
          "htmx:afterSwap",
          () => { document.querySelector("#no-comments-message").remove(); },
          { once: true }
        );
      </script>
    {% endfor %}
    <small class="timezone-note">All times are in UTC</small>
    <script>{% include "applications/application_form_add_comment.js" %}</script>
  </section>

</section>
